Bug Hunting Session
Bug 109208 - Clear the list of recently used characters
Summary: Clear the list of recently used characters
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Akshay Deep
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2017-07-19 13:19 UTC by Heiko Tietze
Modified: 2017-09-07 08:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-07-19 13:19:20 UTC
There might be situations where showing the recently used characters is a security issue. I suggest to add a context menu with 'Remove Character' (the selected) and 'Clear All'. The same could be done for favorites.
Comment 1 Akshay Deep 2017-07-20 12:32:14 UTC
Starting to work on it
Comment 2 Heiko Tietze 2017-08-04 10:28:15 UTC
Fixed with the context menu providing 'Clear' and 'Clear all'. To improve the readability please rename 'Clear' to 'Remove' (and keep 'Clear all').
Comment 3 Commit Notification 2017-08-08 10:28:00 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a51e3784b2a90fd5d175424c24a89fc5775eef3

tdf#109208 Clear the list of recently used characters

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.